Bug 433050 - hgsvn needs python-setuptools
hgsvn needs python-setuptools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hgsvn (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 16:24 EST by Ian Burrell
Modified: 2008-02-18 22:18 EST (History)
0 users

See Also:
Fixed In Version: 0.1.5-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 22:18:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2008-02-15 16:24:45 EST
When running either program in hgsvn-0.1.5-2.fc8, I get the following error:

Traceback (most recent call last):
  File "/usr/bin/hgimportsvn", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Installing python-setuptools fixes the problem.  My guess is that the hgsvn
package should explicitly require the python-setuptools package.  Or that the
automatic python requires generation has a problem that doesn't detect it needs
pkg_resources.
Comment 1 Terje Røsten 2008-02-15 18:35:05 EST
Ok, will fix. Thanks for the report.
Comment 2 Fedora Update System 2008-02-16 10:41:33 EST
hgsvn-0.1.5-3.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-16 10:43:33 EST
hgsvn-0.1.5-3.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-18 22:17:29 EST
hgsvn-0.1.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-02-18 22:18:28 EST
hgsvn-0.1.5-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.